VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec Class Reference

The `Cpu.UpdateSpec` class describes the updates to be made to the CPU-related settings of a virtual machine. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
long | GetCount ()
| New number of CPU cores.
void | SetCount (long?count)
| New number of CPU cores.
long | GetCoresPerSocket ()
| New number of CPU cores per socket.
void | SetCoresPerSocket (long?coresPerSocket)
| New number of CPU cores per socket.
bool | GetHotAddEnabled ()
| Flag indicating whether adding CPUs while the virtual machine is running is enabled.
void | SetHotAddEnabled (bool?hotAddEnabled)
| Flag indicating whether adding CPUs while the virtual machine is running is enabled.
bool | GetHotRemoveEnabled ()
| Flag indicating whether removing CPUs while the virtual machine is running is enabled.
void | SetHotRemoveEnabled (bool?hotRemoveEnabled)
| Flag indicating whether removing CPUs while the virtual machine is running is enabled.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cpu.UpdateSpec` class describes the updates to be made to the CPU-related settings of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

long vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::GetCoresPerSocket | ( |  | ) | `[inline]`

New number of CPU cores per socket.

The number of CPU cores in the virtual machine must be a multiple of the number of cores per socket.

long vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::GetCount | ( |  | ) | `[inline]`

New number of CPU cores.

The number of CPU cores in the virtual machine must be a multiple of the number of cores per socket.

The supported range of CPU counts is constrained by the configured guest operating system and virtual hardware version of the virtual machine.

If the virtual machine is running, the number of CPU cores may only be increased if Cpu.Info.hotAddEnabled is true, and may only be decreased if Cpu.Info.hotRemoveEnabled is true.

override int vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::GetHotAddEnabled | ( |  | ) | `[inline]`

Flag indicating whether adding CPUs while the virtual machine is running is enabled.

This field may only be modified if the virtual machine is powered off.

bool vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::GetHotRemoveEnabled | ( |  | ) | `[inline]`

Flag indicating whether removing CPUs while the virtual machine is running is enabled.

This field may only be modified if the virtual machine is powered off.

void vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::SetCoresPerSocket | ( | long? | coresPerSocket | ) | `[inline]`

New number of CPU cores per socket.

The number of CPU cores in the virtual machine must be a multiple of the number of cores per socket.

void vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::SetCount | ( | long? | count | ) | `[inline]`

New number of CPU cores.

The number of CPU cores in the virtual machine must be a multiple of the number of cores per socket.

The supported range of CPU counts is constrained by the configured guest operating system and virtual hardware version of the virtual machine.

If the virtual machine is running, the number of CPU cores may only be increased if Cpu.Info.hotAddEnabled is true, and may only be decreased if Cpu.Info.hotRemoveEnabled is true.

void vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::SetHotAddEnabled | ( | bool? | hotAddEnabled | ) | `[inline]`

Flag indicating whether adding CPUs while the virtual machine is running is enabled.

This field may only be modified if the virtual machine is powered off.

void vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::SetHotRemoveEnabled | ( | bool? | hotRemoveEnabled | ) | `[inline]`

Flag indicating whether removing CPUs while the virtual machine is running is enabled.

This field may only be modified if the virtual machine is powered off.

override string vmware::vcenter::vm::hardware::CpuTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CpuTypes.cs